System for installing command-line Unix applications and tools on OS X. Free and open-source.

learn more… | top users | synonyms

3
votes
1answer
983 views

How can I use RSVG with ImageMagick?

I'd like to use the RSVG for SVG processing in ImageMagick (the included library is fairly incomplete). RSVG is a supported delegate but needs to be installed separately. I've installed librsvg and ...
3
votes
1answer
545 views

How can I install Octave with curl support via homebrew?

I've installed octave with homebrew (via brew install octave), and it seems to work fine, including gnuplot support. However, it looks like it's missing curl support. I'm getting the message "error: ...
2
votes
1answer
373 views

brew cask: howto uninstall an Application

I tried, while I am in /opt/homebrew-cask/Caskroom $ for i in *; do brew cask uninstall $i; done Error: appcleaner is not installed Error: avidemux is not installed Error: eclipse-ide is not ...
2
votes
1answer
493 views

Scapy on Mavericks via Homebrew “AttributeError: 'module' object has no attribute 'intf'”

I tried to install Scapy on OS X via Homebrew which seemed to work fine. After installation there were some Python modules missing which I installed via Homebrew. Now when I start Scapy I get the ...
2
votes
1answer
221 views

Homebrew: Easy way to add 'gnubin' to path for multiple packages?

I would like to use Homebrew to install GNU versions of several utilities, and use the GNU versions by default with their usual names. From the output of brew install gnu-tar and by reading How to ...
2
votes
1answer
289 views

How can I resolve a permission error when installing gnuplot from homebrew?

I am trying to install gnuplot on my mac. after trying brew install gnuplot, I get the following errors: You must 'brew link lua jpeg' before gnuplot can be installed And when I try ...
1
vote
1answer
35 views

My Xcode build requires cURL 8.0.0 or later (which doesn't exist)

I'm writing a C program in Xcode that uses cURL. It builds properly on my Mac Pro running 10.8.5, but on my MacBook Pro running 10.8.5, it gives me this error when I try to build: dyld: Library not ...
1
vote
1answer
212 views

How to install memcache on Mavericks? (MAMP)

I have MAMP on my machine, and I would like to install memcache for php, because one of my project throws errors like Fatal error: Class 'Memcache' not found. I installed X-Code from appstore, and ...
1
vote
1answer
189 views

homebrew broken after time machine restore

I use home-brew for some tools on my macbook and it had been working fine. I recently put a SSD in my macbook and restored it to a time machine backup as I thought this would give me a pretty good ...
1
vote
1answer
385 views

Homebrew doctor warnings requesting library deletions

I got the following list of brew doctor warnings and was wondering if it's safe to delete the libraries and .pc files listed. (I have no idea what they are used for!) Warning: Unbrewed dylibs were ...
1
vote
1answer
76 views

How do I give options to Homebrew install

Is it possible to give options to a Homebrew installation package from the command line, something like this (which does not seem to work): brew install tesseract --all-languages Or do you have to ...
1
vote
1answer
426 views

Setting up “HPN-SSH - High Performance SSH/SCP” on Mac OS X

As you'd expect from the name, HPN-SSH - High Performance SSH/SCP is a "high performance" patch of SSH/SCP. I've installed a newer version of OpenSSL via Homebrew (brew install openssl). I've ...
0
votes
1answer
89 views

LSOpenURLsWithRole() failed with error -10810

Downloaded and installed the AirStream application, and when I launched it nothing happens. In Terminal the output is $ open /opt/homebrew-cask/Caskroom/airstream/latest/AirStream.app ...
0
votes
1answer
39 views

How to install gource with homebrew?

I am trying to install gource via homebrew. It yields in the following error: $ brew install gource ==> Downloading ...
2
votes
0answers
345 views

brew doctor warning about Python config scripts

Can someone please explain what I should do about the following warning from Homebrew: Warning: "config" scripts exist outside your system or Homebrew directories. `./configure` scripts often look ...
2
votes
0answers
47 views

How to switch from Spotlight to Alfred via Terminal?

I installed Alfred through homebrew-cask. I want to disable Spotlight and let Alfred be opened with Cmd+S. The first Terminal-based solution I tried was unloading Spotlight with sudo launchctl unload ...
1
vote
0answers
20 views

removing outdated casks from homebrew

I am using homebrew-cask to keep my ecosystem of applications up-to-date. However, when some package are getting updated (such as google chrome), I end up having different concurrent versions ...
1
vote
0answers
60 views

Segmentation fault: 11 error ( OpenCV )

I've installed OpenCV, numpy and all other required contents using brew install opencv. Then I tried running it python >> import cv or python >> import cv2 but I get a "Segmentation ...
1
vote
0answers
87 views

FreeType Incompatibility Issue

I am having an issue as below: Library not loaded: /usr/local/lib/libfreetype.6.dylib Referenced from: /usr/local/lib/libpangocairo-1.0.0.dylib Reason: Incompatible library version: ...
1
vote
0answers
83 views

Building mysql with readline instead of editline

I'd really like to be able to use readline instead of editline with the mysql client, but I can't find out how to do this. The bottled mysql that brew installs by default for mavericks is using ...
1
vote
0answers
96 views

Homebrew-compiled gpg-agent fails, gpg: cancelled by user

I'm trying to get gpg-agent working on OS X, compiled with homebrew. Here's my gpg-agent.conf: djc@djc-mbp ~ $ cat .gnupg/gpg-agent.conf pinentry-program /usr/local/bin/pinentry-curses no-grab ...
1
vote
0answers
175 views

How to automatically add `brew update ruby` to `rbenv` versions?

I just did a brew update which updated a ruby version (brew ruby --version), but when I rbenv versions it isn't listed there because I didn't do ruby install <ruby version>. Is there a way to ...
1
vote
0answers
56 views

Does letting services like PostgreSQL, Redis, MongoDB and Mysql run all the time eat up battery life and system resources?

I'm a web developer and so I tend to run a lot of server applications on my machine to make local development easier. Right now I use foreman to start the up as needed per project. I do this in the ...
1
vote
0answers
165 views

OSX 9 Mavericks - Homebrew - g++ 4.8 - link fails: Undefined symbol “__istype(int, unsigned long)”

g++-4.8 -o block_test block_test.o Block.o MemRef.o CI_Metadata.o ConnectMxctl.o Log.o BLog.o -L/usr/local/mysql/lib -lmysqlclient -g Undefined symbols for architecture x86_64: "__istype(int, ...
1
vote
0answers
140 views

Wine missing libncurses.5.4.dylib

When I launch winecfg or some other executables, I get this terminal output- Wine cannot find the ncurses library (libncurses.5.4.dylib). It does not prevent programs from running, but it's just ...
1
vote
0answers
494 views

How to properly run nginx on port 80 with a non root account on OS X?

I was trying to configure nginx (homebrew) to run like daemon on OS X 10.9 and I encountered one problem regarding permissions: nginx was configured to run as nobody in nginx.conf and when started it ...
1
vote
0answers
36 views

Can Homebrew be used to install AppleScript bundles?

Can Homebrew be used to install AppleScript bundles? If so, what sorts of conventions would the project need to follow? Would it need to include a make.scpt file compile the .applescript files? I'm ...
1
vote
0answers
76 views

A little help writing a Homebrew formula for Apache Nutch?

I'm trying to automate the installation of Apache Nutch by writing a Homebrew formula. The official tutorial requires users to download a TAR.GZ / ZIP from a mirror, extract, cd, run ant runtime, and ...
1
vote
0answers
58 views

Getting homebrew upgrades to complete without link error interruptions?

Is there a way to invoke homebrew upgrades without having to handle errors manually? For example, when I run an update with: brew upgrade I get error messages like: Error: You must `brew link ...
1
vote
0answers
1k views

A lot of problems with Homebrew

This is probably bad form for this board, and feel free to delete it if it is, but running brew doctor reveals the following: Warning: /usr/local/lib/pkgconfig isn't writable. This can happen if you ...
1
vote
0answers
259 views

echo $PATH giving different result to what .bash_profile states

I'm trying to install Homebrew (to then install RVM, then Octopress). Homebrew is installed but when I run brew doctor I get the message: Consider amending your PATH so that /usr/local/bin occurs ...
1
vote
0answers
123 views

Problem installing homebrew on tiger?

I haven't run into the permissions problem (yet) reported here. Using the curl command here I don't think it's necessary to do the staff group thing but am running into other problems. At first I ran ...
0
votes
0answers
20 views

How can I add support for .flac files in SoX?

I want SoX to record audio in .flac files. When I do: rec -t flac ~/Desktop/myrec.flac …it gives the following error: rec FAIL formats: no handler for given file type `flac' I have installed SoX ...
0
votes
0answers
19 views

Which user's privileges do I use to run MariaDB?

I installed mariadb from Homebrew. It'll be used for CMS access through PHP. I want the DB to start when the system starts up so I added the homebrew/ mariadb-supplied launchctl plist to ...
0
votes
0answers
85 views

homebrew formula not found error for a removed package

I get this message every time I open a terminal in mac Error: No available formula for php55 Please tap it and then try again: brew tap josegonzalez/php php is not installed on my system and when ...
0
votes
0answers
59 views

download lynda.com video playlist

I have an account at lynda.com and wish to download all video trainings in my playlist. Howto do that with OS X and brew Open Source software? Sadly youtube-dl don't offer support for lynda.com
0
votes
0answers
168 views

Memcached in PHP with Homebrew

I'm trying to use Memcached in PHP with Homebrew. Installation was succeesfull, but when I tried to run php in cl I've got this error: PHP Warning: PHP Startup: Unable to load dynamic library ...
0
votes
0answers
62 views

Truecrypt install fails - 3 out of 6 hunks FAILED

The first is just to show you where the installation is at this moment: n102:~ hendrikwindel$ brew info truecrypt truecrypt: stable 7.1a http://truecrypt.org/ Conflicts with: fuse4x Not ...
0
votes
0answers
116 views

Can't Install SDL With Homebrew

Help, i'm trying to install sdl, but it keeps giving errors. I have Mac OS 10.6.0, i'm using the osx-gcc instead of Xcode, because i got this mac refurbished, and it didn't come with the install cd. ...
0
votes
0answers
33 views

Upgrading a dev 2011 MBA to Mavericks

I have a 2011 MBA (i5 1.7Ghz with 4GB RAM) running Lion 10.7.5. I'm tempted to do a Mavericks upgrade (in the particular hope of improving power and memory management), but since this is a development ...
0
votes
0answers
50 views

Can I reinstall cups without reinstalling everything?

I have managed to mangle my OsX Mavericks installation and attempted to use "brew install cups-pdf". Is there any way to just reinstall the base OsX Cups software short of a reinstall of the whole ...
0
votes
0answers
26 views

MySQL instance is being used?

I would like to know which instance is being used, which version is responding the the mysql commannd. I am on OSX 10.9.1 I have homebrew MySQL 5.6.16 installed at : /usr/local/Cellar/ But I also ...
0
votes
0answers
31 views

GoogleCL hangs in OS X

My GoogleCL installed with Homebrew brew install googlecl has problems. First I need to install gdata with pip install gdata and then after executing simple commands like google picasa list it ...
0
votes
0answers
108 views

Unable to install Gtk for RGtk2 on OS X 10.9

I have been trying to install Gtk to use it with RGtk2 on OS X 10.9. So far the following options haven't worked: building from source (did get some errors during the meta-gtk-osx-bootstrap build) ...
0
votes
0answers
350 views

Making Homebrew and R.app live together happily

I just upgraded to Mavericks (10.9.2) and after years of using MacPorts I decided to use Homebrew. I successfully installed Homebrew, but brew doctor shows: brew doctor Warning: Unbrewed dylibs were ...
0
votes
0answers
93 views

install mysql for php 5.5 after install php with php-fpm and without mysql at first

I've installed nginx, php-fpm with brew via this command brew install --without-apache --with-fpm --without-mysql php55 now I need to adding MySql driver/adapter so my PHP code could connect to my ...
0
votes
0answers
82 views

How to tell PHP-FPM to use PHP 5.4?

I am trying to update to PHP 5.4 using https://github.com/josegonzalez/homebrew-php. However, I cannot find any PHP-related .plist files anywhere in /usr/local for updating FPM to use PHP 5.4 as ...
0
votes
0answers
376 views

Should I worry about brew doctor warnings about macfuse and FUSE for OS X?

After installing Homebrew, I ran brew doctor (as suggested) and got the following warnings: $ brew doctor Warning: Unbrewed dylibs were found in /usr/local/lib. If you didn't put them there on ...
0
votes
0answers
46 views

Compiling a gimp plugin

I wish to compile the Gimp plugin "Save for Web" on Mac 10.8.4. I use brew for package management but libgimp2-dev is missing. I've downloaded Gimp 2.8.6 from here . I've downloaded the latest ...
0
votes
0answers
1k views

Can't install Homebrew on MacBook Pro, password field won't input

I need to install Homebrew. I am unable to input the password when prompted in the Terminal - nothing happens when I type, only when I hit enter. I follow the instructions specified in the book I'm ...